Bug 78604 - IDE-cdrom reading problems with OSB4 chipset system
IDE-cdrom reading problems with OSB4 chipset system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-26 04:52 EST by Albert Valls Badia
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: AS2.1-U7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 12:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Albert Valls Badia 2002-11-26 04:52:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
We are trying to setup Oracle over RHAS2.1 on an IBM xSeries x342 and we got 
errors while reading from IDE cdrom.
 
We can see this kind of errors:
Oct 30 19:48:56 elena kernel: Curious - OSB4 thinks the DMA is still running.
Oct 30 19:48:56 elena kernel: OSB4 wait exit.
Oct 30 19:48:56 elena kernel: hda: cdrom_decode_status: status=0x51 { 
DriveReady SeekComplete Error }
Oct 30 19:48:56 elena kernel: hda: cdrom_decode_status: error=0x34

We have already tried to boot with ide=nodma and hdparm -d 0 /dev/hda but the 
problem still appears (not so often, 1 out of 5 times instead of 1 out of 2, 
but still there).


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.mout Oracle 9.2.0.1.0 CD2 
2.Try to copy (cp) cd contents from CD to sda.
3. Some time in the middle of that cp process system nearly hangs and shows 
error messages like stated above.
	

Actual Results:  system nearly hangs, this means you can switch between 
consoles but you can't umount CD or kill the cp process...

Expected Results:  succesful copy, no system hang.

Additional info:

We have already updated to kernel 2.4.9.e8.smp
Same behaviour occurs with other CDs (not only Oracle one)
Server comes with Serverworks HE-SL chipset with OSB4 for IDE.
Comment 1 Albert Valls Badia 2002-12-03 05:51:19 EST
Sorry, updated to Kernel 2.4.9.e9

Note You need to log in before you can comment on or make changes to this bug.